	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_GET['key']);
	$id_subcategory=mysqli_real_escape_string($connect, $_GET['id_subcategory']);

	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$jumlah   	= mysqli_num_rows($getusers);
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	if ($jumlah > 0){
	$query = "SELECT * FROM product WHERE id_subcategory LIKE '%$id_subcategory%' AND user='$m[phone_number]'";
	$hasil = mysqli_query($connect,$query);

	if(mysqli_num_rows($hasil) > 0 ){
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
   );
  $response["data"] = array();
  while($x = mysqli_fetch_array($hasil)){
	  
	$querykategori = "SELECT name_category FROM category WHERE id_category='$x[id_category]'";
	$hasilkategori = mysqli_query($connect,$querykategori);
	$k = mysqli_fetch_array($hasilkategori);

	  $selling_price=$x['selling_price']+$x['tax']/100;
    $h['id_product'] 	= $x["id_product"];
    $h['posisi'] 		= true;
    $h['name_product'] 	= $x["name_product"];
    $h['unit'] 	= $x["unit"];
    $h['id_subcategory'] 	= $x["id_subcategory"];
    $h['name_subcategory'] = $k["name_subcategory"];
    $h['codeproduct'] 	= $x["codeproduct"];
    $h['tax'] 	= $x["tax"];
    $h['selling_price'] 	= $selling_price;
    $h['stock'] 			= $x["stock"];;
    $h['have_stock'] 		= $x["have_stock"];
    $h['description'] 	= $x["description"];
    $h['img'] 			= "http://$_SERVER[HTTP_HOST]/geten/images/$x[folder]/small_$x[img]";
	$h['alertstock'] 	= $x["alertstock"];
    array_push($response["data"], $h);
  }
  echo json_encode($response);
	}else {
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
   );
  echo json_encode($response);
	}


	}else{
	
	
 $json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
   );

    echo json_encode($json);	
	}
	?>
